#if !defined(AFX_HFATTRIBDLG_H__C8276C61_7315_11D2_8409_00A0C933BCAC__INCLUDED_)
#define AFX_HFATTRIBDLG_H__C8276C61_7315_11D2_8409_00A0C933BCAC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// HFAttribDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHFAttribDlg dialog

class CHFAttribDlg : public CDialog
{
	// Construction
public:
	CHFAttribDlg(CWnd* pParent = NULL);   // standard constructor
	double oldx,oldy,oldz;
	// Dialog Data
	//{{AFX_DATA(CHFAttribDlg)
	enum { IDD = IDD_HFATTRIBS };
	//}}AFX_DATA
	
	
	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHFAttribDlg)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	
	// Implementation
protected:
	
	// Generated message map functions
	//{{AFX_MSG(CHFAttribDlg)
	afx_msg void OnLoadbasetexture();
	afx_msg void OnLoaddetailtexture();
	afx_msg void OnImport();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HFATTRIBDLG_H__C8276C61_7315_11D2_8409_00A0C933BCAC__INCLUDED_)
